\subsection{Минимизация единичного покрытия}

\tikzset{every picture/.style={line width=0.75pt}}
\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
    \draw (96,63) -- (216,63) -- (216,183) -- (96,183) -- cycle; 
    \draw (96,63) -- (96,183)(126,63) -- (126,183)(156,63) -- (156,183)(186,63) -- (186,183); 
    \draw (96,63) -- (216,63)(96,93) -- (216,93)(96,123) -- (216,123)(96,153) -- (216,153); 
    \draw (325,62) -- (445,62) -- (445,182) -- (325,182) -- cycle; 
    \draw (325,62) -- (325,182)(355,62) -- (355,182)(385,62) -- (385,182)(415,62) -- (415,182); 
    \draw (325,62) -- (445,62)(325,92) -- (445,92)(325,122) -- (445,122)(325,152) -- (445,152); 
    
    \draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (99,73) .. controls (99,71) and (100,70) .. (102,70) -- (209,70) .. controls (211,70) and (213,71) .. (213,73) -- (213,82) .. controls (213,84) and (211,86) .. (209,86) -- (102,86) .. controls (100,86) and (99,84) .. (99,82) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (45,42) .. controls (73,49) and (72,43) .. (105,70);
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (158,76) .. controls (158,70) and (162,66) .. (168,66) -- (203,66) .. controls (209,66) and (214,70) .. (214,76) -- (214,107) .. controls (214,113) and (209,118) .. (203,118) -- (168,118) .. controls (162,118) and (158,113) .. (158,107) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (195,66) .. controls (227,50) and (221,45) .. (235,42);
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (193,70) .. controls (193,68) and (194,67) .. (196,67) -- (205,67) .. controls (206,67) and (208,68) .. (208,70) -- (208,174) .. controls (208,175) and (206,177) .. (205,177) -- (196,177) .. controls (194,177) and (193,175) .. (193,174) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (195,177) .. controls (225,180) and (197,175) .. (245,182);
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (134,130) .. controls (134,128) and (135,127) .. (137,127) -- (146,127) .. controls (147,127) and (149,128) .. (149,130) -- (149,174) .. controls (149,175) and (147,177) .. (146,177) -- (137,177) .. controls (135,177) and (134,175) .. (134,174) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (95,202) .. controls (136,181) and (105,195) .. (145,177);
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (327,76) .. controls (327,70) and (331,66) .. (337,66) -- (372,66) .. controls (378,66) and (383,70) .. (383,76) -- (383,107) .. controls (383,113) and (378,118) .. (372,118) -- (337,118) .. controls (331,118) and (327,113) .. (327,107) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (375,66) .. controls (389,43) and (401,35) .. (415,32);
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (333,71) .. controls (333,69) and (334,68) .. (336,68) -- (345,68) .. controls (346,68) and (348,69) .. (348,71) -- (348,175) .. controls (348,176) and (346,178) .. (345,178) -- (336,178) .. controls (334,178) and (333,176) .. (333,175) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (321,203) .. controls (320,190) and (340,198) .. (335,178);
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (406,161) .. controls (407,161) and (409,162) .. (409,164) -- (409,173) .. controls (409,174) and (407,176) .. (406,176) -- (362,176) .. controls (360,176) and (359,174) .. (359,173) -- (359,164) .. controls (359,162) and (360,161) .. (362,161) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (425,202) .. controls (406,176) and (424,202) .. (407,176);

    \draw (156,23) node [align=left] {$\displaystyle x_{4} x_{5}$};
    \draw (46,123) node [align=left] {$\displaystyle x_{2} x_{3}$};
    \draw (81,79) node [align=left] {00};
    \draw (81,109) node [align=left] {01};
    \draw (81,139) node [align=left] {11};
    \draw (81,169) node [align=left] {10};
    \draw (112,49) node [align=left] {00};
    \draw (142,49) node [align=left] {01};
    \draw (172,49) node [align=left] {11};
    \draw (201,49) node [align=left] {10};
    \draw (111,79) node [align=left] {1};
    \draw (171,79) node [align=left] {1};
    \draw (201,79) node [align=left] {1};
    \draw (171,109) node [align=left] {1};
    \draw (201,109) node [align=left] {1};
    \draw (201,139) node [align=left] {1};
    \draw (201,169) node [align=left] {1};
    \draw (141,139) node [align=left] {1};
    \draw (141,79) node [align=left] {d};
    \draw (141,169) node [align=left] {d};
    \draw (156,198) node [align=left] {$\displaystyle x_{1} = 0$};
    \draw (385,22) node [align=left] {$\displaystyle x_{4} x_{5}$};
    \draw (275,122) node [align=left] {$\displaystyle x_{2} x_{3}$};
    \draw (341,79) node [align=left] {1};
    \draw (341,109) node [align=left] {1};
    \draw (400,169) node [align=left] {1};
    \draw (371,109) node [align=left] {1};
    \draw (341,168) node [align=left] {1};
    \draw (341,138) node [align=left] {1};
    \draw (370,78) node [align=left] {d};
    \draw (370,168) node [align=left] {d};
    \draw (385,197) node [align=left] {$\displaystyle x_{1} = 1$};
    \draw (341,48) node [align=left] {00};
    \draw (371,48) node [align=left] {01};
    \draw (401,48) node [align=left] {11};
    \draw (430,48) node [align=left] {10};
    \draw (310,78) node [align=left] {00};
    \draw (310,108) node [align=left] {01};
    \draw (310,138) node [align=left] {11};
    \draw (310,168) node [align=left] {10};
    \draw (29,41) node [align=left] {000xx};
    \draw (251,42) node [align=left] {00x1x};
    \draw (261,182) node [align=left] {0xx10};
    \draw (80,202) node [align=left] {01x01};
    \draw (429,31) node [align=left] {10x0x};
    \draw (322,206) node [align=left] {1xx00};
    \draw (431,209) node [align=left] {110x1};

    \draw (525,130) node [align=left] {$C_{min}^1(f) = \begin{Bmatrix} 01x01 \\ 110x1 \\ 00x1x \\ 0xx10 \\ 10x0x \\ 1xx00 \\ 000xx \end{Bmatrix}$};
\end{tikzpicture}



\tikzset{every picture/.style={line width=0.75pt}}
\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
    \draw (96,63) -- (216,63) -- (216,183) -- (96,183) -- cycle; 
    \draw (96,63) -- (96,183)(126,63) -- (126,183)(156,63) -- (156,183)(186,63) -- (186,183); 
    \draw (96,63) -- (216,63)(96,93) -- (216,93)(96,123) -- (216,123)(96,153) -- (216,153); 
    \draw (325,62) -- (445,62) -- (445,182) -- (325,182) -- cycle; 
    \draw (325,62) -- (325,182)(355,62) -- (355,182)(385,62) -- (385,182)(415,62) -- (415,182); 
    \draw (325,62) -- (445,62)(325,92) -- (445,92)(325,122) -- (445,122)(325,152) -- (445,152); 
    
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (158,76) .. controls (158,70) and (162,66) .. (168,66) -- (203,66) .. controls (209,66) and (214,70) .. (214,76) -- (214,107) .. controls (214,113) and (209,118) .. (203,118) -- (168,118) .. controls (162,118) and (158,113) .. (158,107) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (195,66) .. controls (227,50) and (216,63) .. (230,60);
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (195,177) .. controls (225,180) and (197,175) .. (245,182);
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (193,70) .. controls (193,68) and (194,67) .. (196,67) -- (205,67) .. controls (206,67) and (208,68) .. (208,70) -- (208,174) .. controls (208,175) and (206,177) .. (205,177) -- (196,177) .. controls (194,177) and (193,175) .. (193,174) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (134,130) .. controls (134,128) and (135,127) .. (137,127) -- (146,127) .. controls (147,127) and (149,128) .. (149,130) -- (149,174) .. controls (149,175) and (147,177) .. (146,177) -- (137,177) .. controls (135,177) and (134,175) .. (134,174) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (95,202) .. controls (136,181) and (105,195) .. (145,177);
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (327,76) .. controls (327,70) and (331,66) .. (337,66) -- (372,66) .. controls (378,66) and (383,70) .. (383,76) -- (383,107) .. controls (383,113) and (378,118) .. (372,118) -- (337,118) .. controls (331,118) and (327,113) .. (327,107) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (375,66) .. controls (389,43) and (401,35) .. (415,32);
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (333,71) .. controls (333,69) and (334,68) .. (336,68) -- (345,68) .. controls (346,68) and (348,69) .. (348,71) -- (348,175) .. controls (348,176) and (346,178) .. (345,178) -- (336,178) .. controls (334,178) and (333,176) .. (333,175) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (321,203) .. controls (320,190) and (340,198) .. (335,178);
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (406,161) .. controls (407,161) and (409,162) .. (409,164) -- (409,173) .. controls (409,174) and (407,176) .. (406,176) -- (362,176) .. controls (360,176) and (359,174) .. (359,173) -- (359,164) .. controls (359,162) and (360,161) .. (362,161) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (425,202) .. controls (406,176) and (424,202) .. (407,176);
    \draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (100,43) .. controls (101,42) and (99,87) .. (101,86) .. controls (102,85) and (150,86) .. (150,85) .. controls (149,84) and (150,40) .. (150,40) .. controls (149,40) and (325,42) .. (330,42) .. controls (334,42) and (329,84) .. (331,86) .. controls (332,88) and (375,88) .. (378,86) .. controls (380,84) and (377,41) .. (380,42);

    \draw (156,23) node [align=left] {$\displaystyle x_{4} x_{5}$};
    \draw (46,123) node [align=left] {$\displaystyle x_{2} x_{3}$};
    \draw (81,79) node [align=left] {00};
    \draw (81,109) node [align=left] {01};
    \draw (81,139) node [align=left] {11};
    \draw (81,169) node [align=left] {10};
    \draw (112,49) node [align=left] {00};
    \draw (142,49) node [align=left] {01};
    \draw (172,49) node [align=left] {11};
    \draw (201,49) node [align=left] {10};
    \draw (111,79) node [align=left] {1};
    \draw (171,79) node [align=left] {1};
    \draw (201,79) node [align=left] {1};
    \draw (171,109) node [align=left] {1};
    \draw (201,109) node [align=left] {1};
    \draw (201,139) node [align=left] {1};
    \draw (201,169) node [align=left] {1};
    \draw (141,139) node [align=left] {1};
    \draw (141,79) node [align=left] {d};
    \draw (141,169) node [align=left] {d};
    \draw (156,198) node [align=left] {$\displaystyle x_{1} = 0$};
    \draw (385,22) node [align=left] {$\displaystyle x_{4} x_{5}$};
    \draw (275,122) node [align=left] {$\displaystyle x_{2} x_{3}$};
    \draw (341,79) node [align=left] {1};
    \draw (341,109) node [align=left] {1};
    \draw (400,169) node [align=left] {1};
    \draw (371,109) node [align=left] {1};
    \draw (341,168) node [align=left] {1};
    \draw (341,138) node [align=left] {1};
    \draw (370,78) node [align=left] {d};
    \draw (370,168) node [align=left] {d};
    \draw (385,197) node [align=left] {$\displaystyle x_{1} = 1$};
    \draw (341,48) node [align=left] {00};
    \draw (371,48) node [align=left] {01};
    \draw (401,48) node [align=left] {11};
    \draw (430,48) node [align=left] {10};
    \draw (310,78) node [align=left] {00};
    \draw (310,108) node [align=left] {01};
    \draw (310,138) node [align=left] {11};
    \draw (310,168) node [align=left] {10};
    \draw (292,36) node [align=left] {x000x};
    \draw (251,60) node [align=left] {00x1x};
    \draw (261,182) node [align=left] {0xx10};
    \draw (80,202) node [align=left] {01x01};
    \draw (429,31) node [align=left] {10x0x};
    \draw (322,206) node [align=left] {1xx00};
    \draw (431,209) node [align=left] {110x1};

    \draw (525,130) node [align=left] {$C_{min}^2(f) = \begin{Bmatrix} 01x01 \\ 110x1 \\ 00x1x \\ 0xx10 \\ 10x0x \\ 1xx00 \\ x000x \end{Bmatrix}$};

\end{tikzpicture}


\subsection{Минимизация нулевого покрытия}

\tikzset{every picture/.style={line width=0.75pt}}     
\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
    \draw (100,69) -- (220,69) -- (220,189) -- (100,189) -- cycle; 
    \draw (100,69) -- (100,189) (130,69) -- (130,189) (160,69) -- (160,189) (190,69) -- (190,189); 
    \draw (100,69) -- (220,69) (100,99) -- (220,99) (100,129) -- (220,129) (100,159) -- (220,159); 
    
    \draw (329,69) -- (449,69) -- (449,189) -- (329,189) -- cycle; 
    \draw (329,69) -- (329,189) (359,69) -- (359,189) (389,69) -- (389,189) (419,69) -- (419,189); 
    \draw (329,69) -- (449,69) (329,99) -- (449,99) (329,129) -- (449,129) (329,159) -- (449,159); 
    
    \draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (104,109) .. controls (104,107) and (106,105) .. (108,105) -- (153,105) .. controls (155,105) and (157,107) .. (157,109) -- (157,121) .. controls (157,123) and (155,125) .. (153,125) -- (108,125) .. controls (106,125) and (104,123) .. (104,121) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (59,100) .. controls (99,104) and (62,100) .. (108,105);
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (105,140) .. controls (105,137) and (106,135) .. (109,135) -- (122,135) .. controls (124,135) and (126,137) .. (126,140) -- (126,181) .. controls (126,183) and (124,185) .. (122,185) -- (109,185) .. controls (106,185) and (105,183) .. (105,181) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (165,140) .. controls (165,137) and (167,136) .. (170,136) -- (183,136) .. controls (185,136) and (187,137) .. (187,140) -- (187,181) .. controls (187,183) and (185,185) .. (183,185) -- (170,185) .. controls (167,185) and (165,183) .. (165,181) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (79,211) .. controls (102,191) and (78,211) .. (109,185);
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (183,185) .. controls (197,196) and (204,203) .. (211,210);
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (392,83) .. controls (392,77) and (396,73) .. (402,73) -- (437,73) .. controls (443,73) and (448,77) .. (448,83) -- (448,114) .. controls (448,120) and (443,125) .. (437,125) -- (402,125) .. controls (396,125) and (392,120) .. (392,114) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (392,114) .. controls (392,108) and (396,104) .. (402,104) -- (437,104) .. controls (443,104) and (448,108) .. (448,114) -- (448,145) .. controls (448,151) and (443,156) .. (437,156) -- (402,156) .. controls (396,156) and (392,151) .. (392,145) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (425,79) .. controls (425,77) and (427,75) .. (429,75) -- (441,75) .. controls (443,75) and (445,77) .. (445,79) -- (445,179) .. controls (445,181) and (443,183) .. (441,183) -- (429,183) .. controls (427,183) and (425,181) .. (425,179) -- cycle;
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (365,137) .. controls (365,135) and (367,134) .. (369,134) -- (381,134) .. controls (383,134) and (385,135) .. (385,137) -- (385,180) .. controls (385,182) and (383,184) .. (381,184) -- (369,184) .. controls (367,184) and (365,182) .. (365,180) -- cycle;
    \draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (411,73) .. controls (421,38) and (412,38) .. (448,39);
    \draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (444,88) .. controls (458,80) and (473,82) .. (479,80);
    \draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (437,104) .. controls (461,106) and (473,102) .. (480,111);
    \draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (369,184) .. controls (353,200) and (348,201) .. (340,210);

    \draw (160,29) node [align=center] {$\displaystyle x_{4} x_{5}$};
    \draw (50,129) node [align=center] {$\displaystyle x_{2} x_{3}$};
    \draw (160,204) node [align=center] {$\displaystyle x_{1} = 0$};
    
    \draw (389,29) node [align=center] {$\displaystyle x_{4} x_{5}$};
    \draw (279,129) node [align=center] {$\displaystyle x_{2} x_{3}$};
    \draw (389,204) node [align=center] {$\displaystyle x_{1} = 1$};
    
    \draw (314,85) node [align=center] {00};
    \draw (314,115) node [align=center] {01};
    \draw (314,145) node [align=center] {11};
    \draw (314,175) node [align=center] {10};

    \draw (85,85) node [align=center] {00};
    \draw (85,115) node [align=center] {01};
    \draw (85,145) node [align=center] {11};
    \draw (85,175) node [align=center] {10};
    
    \draw (345,55) node [align=center] {00};
    \draw (375,55) node [align=center] {01};
    \draw (405,55) node [align=center] {11};
    \draw (434,55) node [align=center] {10};

    \draw (116,55) node [align=center] {00};
    \draw (146,55) node [align=center] {01};
    \draw (176,55) node [align=center] {11};
    \draw (205,55) node [align=center] {10};
    
    \draw (145,85) node [align=center] {d};
    \draw (374,85) node [align=center] {d};
    \draw (145,175) node [align=center] {d};
    \draw (374,175) node [align=center] {d};

    \draw (405,86) node [align=center] {0};
    \draw (435,85) node [align=center] {0};
    \draw (115,116) node [align=center] {0};
    \draw (145,116) node [align=center] {0};
    \draw (115,146) node [align=center] {0};
    \draw (115,176) node [align=center] {0};
    \draw (175,145) node [align=center] {0};
    \draw (176,175) node [align=center] {0};
    \draw (405,116) node [align=center] {0};
    \draw (375,146) node [align=center] {0};
    \draw (405,146) node [align=center] {0};
    \draw (435,176) node [align=center] {0};
    \draw (435,145) node [align=center] {0};
    \draw (434,116) node [align=center] {0};
    
    \draw (43,98) node [align=center] {0010x};
    \draw (62,211) node [align=center] {01x00};
    \draw (213,214) node [align=center] {01x11};
    \draw (340,214) node [align=center] {11x01};
    \draw (479,116) node [align=center] {1x11x};
    \draw (494,80) node [align=center] {1xx10};
    \draw (463,39) node [align=center] {10x1x};

    \draw (530,140) node [align=left] {$C_{min}^1(f) = \begin{Bmatrix} 1xx10 \\ 0010x \\ 01x00 \\ 01x11 \\ 11x01 \\ 10x1x \\ 1x11x \end{Bmatrix}$};
\end{tikzpicture}